"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* remove el */
function _re(el) {
    // eslint-disable-next-line @typescript-eslint/strict-boolean-expressions
    if (!el)
        return;
    const parentElement = el.parentElement;
    // eslint-disable-next-line @typescript-eslint/strict-boolean-expressions
    if (parentElement)
        parentElement.removeChild(el);
}
exports._re = _re;
/** query element */
function _qe(id) {
    return document.querySelector(`style[css-render-id="${String(id)}"]`);
}
exports._qe = _qe;
/** create element */
function _ce(id) {
    const el = document.createElement('style');
    el.setAttribute('css-render-id', String(id));
    return el;
}
exports._ce = _ce;
